﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:msxsl="urn:schemas-microsoft-com:xslt"
				xmlns:websoft="http://www.websoft.ru"
				version="1.0">
<!--
'*	nav_023_search.xsl
'*	Copyright (c) Websoft, 2007.  All rights reserved.
-->
<xsl:output method="xml" encoding="utf-8" omit-xml-declaration="yes"/>
<xsl:param name="objectID"></xsl:param>
<xsl:param name="imagesFolder"></xsl:param>
<!--		 Template: Root    -->
<xsl:template match="/">
	<xsl:apply-templates select="params"/>
</xsl:template>
<!--		 Template: Params    -->
<xsl:template match="params">
<div style="display:none;">
	<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_storage</xsl:attribute>
	<img border="0">
		<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_img_enabled_0</xsl:attribute>
		<xsl:if test="standard='yes'">
			<xsl:attribute name="src"><xsl:value-of select="$imagesFolder"/><xsl:value-of select="tabcolor"/>/btn_search_0.gif</xsl:attribute>
		</xsl:if>
		<xsl:if test="standard='no'">
			<xsl:attribute name="src"><xsl:value-of select="n1_img"/></xsl:attribute>
		</xsl:if>
	</img>
	<img border="0">
		<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_img_enabled_1</xsl:attribute>
		<xsl:if test="standard='yes'">
			<xsl:attribute name="src"><xsl:value-of select="$imagesFolder"/><xsl:value-of select="tabcolor"/>/btn_search_1.gif</xsl:attribute>
		</xsl:if>
		<xsl:if test="standard='no'">
			<xsl:attribute name="src"><xsl:value-of select="n2_img"/></xsl:attribute>
		</xsl:if>
	</img>
	<img border="0">
		<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_img_enabled_2</xsl:attribute>
		<xsl:if test="standard='yes'">
			<xsl:attribute name="src"><xsl:value-of select="$imagesFolder"/><xsl:value-of select="tabcolor"/>/btn_search_2.gif</xsl:attribute>
		</xsl:if>
		<xsl:if test="standard='no'">
			<xsl:attribute name="src"><xsl:value-of select="n3_img"/></xsl:attribute>
		</xsl:if>
	</img>
	<img border="0">
		<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_img_disabled</xsl:attribute>
		<xsl:if test="standard='yes'">
			<xsl:attribute name="src"><xsl:value-of select="$imagesFolder"/><xsl:value-of select="tabcolor"/>/btn_search_3.gif</xsl:attribute>
		</xsl:if>
		<xsl:if test="standard='no'">
			<xsl:attribute name="src"><xsl:value-of select="n3_img"/></xsl:attribute>
		</xsl:if>
	</img>
	<img border="0" align="absmiddle">
		<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_icon_unvisited</xsl:attribute>
		<xsl:attribute name="src">
			<xsl:if test="icon_default='yes'"><xsl:value-of select="$imagesFolder"/><xsl:value-of select="tabcolor"/>/icon_unvisited.gif</xsl:if>
			<xsl:if test="icon_default='no'"><xsl:value-of select="$imagesFolder"/><xsl:value-of select="i1_img"/></xsl:if>
		</xsl:attribute>
	</img>
	<img border="0" align="absmiddle">
		<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_icon_current</xsl:attribute>
		<xsl:attribute name="src">
			<xsl:if test="icon_default='yes'"><xsl:value-of select="$imagesFolder"/><xsl:value-of select="tabcolor"/>/icon_current.gif</xsl:if>
			<xsl:if test="icon_default='no'"><xsl:value-of select="$imagesFolder"/><xsl:value-of select="i2_img"/></xsl:if>
		</xsl:attribute>
	</img>
	<img border="0" align="absmiddle">
		<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_icon_visited</xsl:attribute>
		<xsl:attribute name="src">
			<xsl:if test="icon_default='yes'"><xsl:value-of select="$imagesFolder"/><xsl:value-of select="tabcolor"/>/icon_visited.gif</xsl:if>
			<xsl:if test="icon_default='no'"><xsl:value-of select="$imagesFolder"/><xsl:value-of select="i3_img"/></xsl:if>
		</xsl:attribute>
	</img>
</div>

<div>
	<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_template_simple</xsl:attribute>
	<xsl:attribute name="style">display:none; margin: 1px; width: 100%; border-top: #CCCCCC dotted 1px;</xsl:attribute>
	<table width="100%" cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td valign="top">
				<xsl:attribute name="style">background-color: #FFFFFF; padding-top:2px; padding-bottom:2px; padding-left:2px; padding-right:2px</xsl:attribute>
				<img border="0">
					<xsl:attribute name="src">
						<xsl:if test="icon_default='yes'"><xsl:value-of select="$imagesFolder"/><xsl:value-of select="tabcolor"/>/icon_unvisited.gif</xsl:if>
						<xsl:if test="icon_default='no'"><xsl:value-of select="$imagesFolder"/><xsl:value-of select="i1_img"/></xsl:if>
					</xsl:attribute>
				</img>
			</td>
			<td valign="top" width="100%" style="font-family: Tahoma; font-size: 11px; background-color: #FFFFFF; padding-top:2px; padding-bottom: 2px; padding-left:0px; padding-right:4px">%%var%%</td>
		</tr>
	</table>
</div>
<div>
	<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_template_extended</xsl:attribute>
	<xsl:attribute name="style">display:none; margin: 1px; width: 100%; border-top: #CCCCCC dotted 1px;</xsl:attribute>
	<table width="100%" cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td valign="top">
				<xsl:attribute name="style">background-color: #F2F2F2; padding-top:2px; padding-bottom:2px; padding-left:2px; padding-right:2px</xsl:attribute>
				<img border="0">
					<xsl:attribute name="src">
						<xsl:if test="icon_default='yes'"><xsl:value-of select="$imagesFolder"/><xsl:value-of select="tabcolor"/>/icon_unvisited.gif</xsl:if>
						<xsl:if test="icon_default='no'"><xsl:value-of select="$imagesFolder"/><xsl:value-of select="i1_img"/></xsl:if>
					</xsl:attribute>
				</img>
			</td>
			<td valign="top" width="100%" style="font-family: Tahoma; font-size: 11px; background-color: #F2F2F2; padding-top:2px; padding-bottom: 2px; padding-left:0px; padding-right:4px">%%var%%</td>
		</tr>
		<tr>
			<td valign="top">
				<xsl:attribute name="style">background-color: #FFFFFF; padding-top:2px; padding-bottom:2px; padding-left:2px; padding-right:2px</xsl:attribute>
				<img border="0">
					<xsl:attribute name="src"><xsl:value-of select="$imagesFolder"/>1blank.gif</xsl:attribute>
				</img>
			</td>
			<td valign="top" width="100%" style="font-family: Tahoma; font-size: 11px; background-color: #FFFFFF; padding-top:2px; padding-bottom: 2px; padding-left:12px; padding-right:4px">%%var%%</td>
		</tr>
	</table>
</div>


<div style="display:inline; z-index:100; cursor: hand; cursor: pointer;">
	<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_button_enabled</xsl:attribute>
	<img border="0">
		<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_button_img_enabled</xsl:attribute>
		<xsl:attribute name="alt"><xsl:value-of select="alt_enabled"/></xsl:attribute>
		<xsl:attribute name="src">
			<xsl:if test="standard='yes'"><xsl:value-of select="$imagesFolder"/><xsl:value-of select="tabcolor"/>/btn_search_0.gif</xsl:if>
			<xsl:if test="standard='no'"><xsl:value-of select="n1_img"/></xsl:if>
		</xsl:attribute>
		<xsl:attribute name="onClick">var oArgs=new Object; oArgs.pid='<xsl:value-of select="$objectID"/>'; CallMethod('nav_023_search','ToggleWindow',oArgs);if(document.getElementById('<xsl:value-of select="$objectID"/>').getAttribute('winstatus')=='closed'){ this.src=document.getElementById('<xsl:value-of select="$objectID"/>_img_enabled_0').src;}return false;</xsl:attribute>
		<xsl:attribute name="onMouseDown">this.src=document.getElementById('<xsl:value-of select="$objectID"/>_img_enabled_2').src; return false;</xsl:attribute>
		<xsl:attribute name="onMouseOver">if(document.getElementById('<xsl:value-of select="$objectID"/>').getAttribute('winstatus')=='closed'){this.src=document.getElementById('<xsl:value-of select="$objectID"/>_img_enabled_1').src; return false;}</xsl:attribute>
		<xsl:attribute name="onMouseOut">if(document.getElementById('<xsl:value-of select="$objectID"/>').getAttribute('winstatus')=='closed'){ this.src=document.getElementById('<xsl:value-of select="$objectID"/>_img_enabled_0').src; return false;}</xsl:attribute>
	</img>
</div>

<div style="display:none; z-index:100; cursor:default;">
	<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_button_disabled</xsl:attribute>
	<img border="0">
		<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_button_img_disabled</xsl:attribute>
		<xsl:attribute name="alt"><xsl:value-of select="alt_disabled"/></xsl:attribute>
		<xsl:attribute name="src">
			<xsl:if test="standard='yes'"><xsl:value-of select="$imagesFolder"/><xsl:value-of select="tabcolor"/>/btn_search_3.gif</xsl:if>
			<xsl:if test="standard='no'"><xsl:value-of select="n4_img"/></xsl:if>
		</xsl:attribute>
	</img>
</div>
<div style="display:none;">
	<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_buffer</xsl:attribute>
	...
</div>

<xsl:variable name="bcolor">
	<xsl:if test="standardcolor='yes'">
		<xsl:choose>
			<xsl:when test="tabcolor='brown'">#81540B</xsl:when>
			<xsl:when test="tabcolor='red'">#CE393D</xsl:when>
			<xsl:when test="tabcolor='crimson'">#C30555</xsl:when>
			<xsl:when test="tabcolor='orange'">#E78729</xsl:when>
			<xsl:when test="tabcolor='yellow'">#ECE382</xsl:when>
			<xsl:when test="tabcolor='olive'">#968D2E</xsl:when>
			<xsl:when test="tabcolor='green'">#C3EC82</xsl:when>
			<xsl:when test="tabcolor='teal'">#458B7B</xsl:when>
			<xsl:when test="tabcolor='turquoise'">#0A8EA2</xsl:when>
			<xsl:when test="tabcolor='steelblue'">#4F82B2</xsl:when>
			<xsl:when test="tabcolor='blue'">#444BD3</xsl:when>
			<xsl:when test="tabcolor='grey'">#B1B1B1</xsl:when>
			<xsl:otherwise>#8D39CE</xsl:otherwise>
		</xsl:choose>
	</xsl:if>
	<xsl:if test="standardcolor='no'"><xsl:value-of select="bordercolor"/></xsl:if>
</xsl:variable>

<div>
	<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_object_window_div</xsl:attribute>
	<xsl:attribute name="style">position:absolute; background-color: #FFFFFF; z-index: 900; top: <xsl:value-of select="taby"/>px; left: <xsl:value-of select="tabx"/>px; display:none; visibility:visible; width: <xsl:value-of select="tabwidth"/>px; height: <xsl:value-of select="tabheight"/>px;</xsl:attribute>
	<table cellspacing="0" cellpadding="2">
		<xsl:attribute name="style">width: <xsl:value-of select="tabwidth"/>px; height: <xsl:value-of select="tabheight"/>px; border: <xsl:value-of select="$bcolor"/> solid 2px;</xsl:attribute>
		<tr>
			<td valign="top">
				<table cellspacing="0" cellpadding="0">
					<tr>
						<td width="100%" bgcolor="#FFFFFF" valign="top" align="center">
							<xsl:attribute name="style">padding: 10px</xsl:attribute>
							<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_header</xsl:attribute>
							<xsl:value-of select="tabheader" disable-output-escaping="yes"/>
						</td>
						<td bgcolor="#FFFFFF" valign="top" align="center">
							<xsl:attribute name="style">padding: 10px</xsl:attribute>
							<img border="0">
								<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_window_close_img</xsl:attribute>
								<xsl:attribute name="alt"><xsl:value-of select="alt_close"/></xsl:attribute>
								<xsl:attribute name="src">
									<xsl:if test="standard='no'"><xsl:value-of select="n5_img"/></xsl:if>
									<xsl:if test="standard='yes'"><xsl:value-of select="$imagesFolder"/><xsl:value-of select="tabcolor"/>/close_window.gif</xsl:if>
								</xsl:attribute>
								<xsl:attribute name="onclick">var oArgs=new Object; oArgs.pid='<xsl:value-of select="$objectID"/>'; CallMethod('nav_023_search','ToggleWindow',oArgs); return false;</xsl:attribute>
								<xsl:attribute name="style">cursor:hand; cursor:pointer</xsl:attribute>
							</img>
						</td>
					</tr>
					<tr>
						<td width="100%" bgcolor="#FFFFFF" valign="top" colspan="2">
							<xsl:attribute name="style">padding-left: 10px; padding-right: 10px; padding-bottom: 10px;</xsl:attribute>
							<div>
								<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_form</xsl:attribute>
								<xsl:attribute name="style">background-color: #F2F2F2; padding-top: 6px; padding-bottom: 6px; border-top: dotted 2px <xsl:value-of select="input_border_color" />; border-bottom: dotted 2px <xsl:value-of select="input_border_color" />;</xsl:attribute>
								<table width="100%" border="0" cellpadding="2" cellspacing="0">
									<tr>
										<td style="width: 50%; text-align: right; vertical-align: top">
											<input type="text">
												<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_search_string</xsl:attribute>
												<xsl:attribute name="name"><xsl:value-of select="$objectID"/>_search_string</xsl:attribute>
												<xsl:attribute name="style">font-family: <xsl:value-of select="input_font" />; color: <xsl:value-of select="input_font_color" />; font-weight: <xsl:value-of select="input_font_weight" />; font-style: <xsl:value-of select="input_font_style" />; font-size:<xsl:value-of select="input_font_size" />px; text-align: <xsl:value-of select="input_text_align" />; border-width: <xsl:value-of select="input_border_width" />px; border-color: <xsl:value-of select="input_border_color" />; border-style: <xsl:value-of select="input_border_style" />; background-color: <xsl:value-of select="input_bg_color" />;</xsl:attribute>
											</input>
										</td>
										<td style="width: 50%; text-align: left; vertical-align: top">
											<input type="button">
												<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_search_button</xsl:attribute>
												<xsl:attribute name="name"><xsl:value-of select="$objectID"/>_search_button</xsl:attribute>
												<xsl:attribute name="style">font-family: <xsl:value-of select="button_font"/>; color: <xsl:value-of select="button_font_color"/>; font-weight: <xsl:value-of select="button_font_weight"/>; font-style: <xsl:value-of select="button_font_style"/>; font-size: <xsl:value-of select="button_font_size"/>px; border: <xsl:value-of select="button_border_style"/> <xsl:value-of select="button_border_width"/>px <xsl:value-of select="button_border_color"/>; background-color: <xsl:value-of select="button_bg_color"/>;</xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="text_button"/></xsl:attribute>
												<xsl:attribute name="onclick">var oArgs=new Object; oArgs.pid='<xsl:value-of select="$objectID"/>'; CallMethod('nav_023_search','Search',oArgs); return false;</xsl:attribute>
											</input>
											<span style="padding-left: 12px"> </span>
											<input type="button">
												<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_search_button</xsl:attribute>
												<xsl:attribute name="name"><xsl:value-of select="$objectID"/>_search_button</xsl:attribute>
												<xsl:attribute name="style">font-family: <xsl:value-of select="button_font"/>; color: <xsl:value-of select="button_font_color"/>; font-weight: <xsl:value-of select="button_font_weight"/>; font-style: <xsl:value-of select="button_font_style"/>; font-size: <xsl:value-of select="button_font_size"/>px; border: <xsl:value-of select="button_border_style"/> <xsl:value-of select="button_border_width"/>px <xsl:value-of select="button_border_color"/>; background-color: <xsl:value-of select="button_bg_color"/>;</xsl:attribute>
												<xsl:attribute name="value">?</xsl:attribute>
												<xsl:attribute name="onclick">var oArgs=new Object; oArgs.pid='<xsl:value-of select="$objectID"/>'; CallMethod('nav_023_search','ToggleHelp',oArgs); return false;</xsl:attribute>
											</input>
										</td>
									</tr>
									<xsl:if test="display_case_control='yes'">
										<tr>
											<td>
												<xsl:attribute name="style">text-align: right; vertical-align: top; font-family: <xsl:value-of select="input_font" />; color: <xsl:value-of select="input_font_color" />; font-size:<xsl:value-of select="input_font_size" />px;</xsl:attribute>
												<xsl:value-of select="text_case"/>
											</td>
											<td>
												<xsl:attribute name="style">text-align: left; vertical-align: top; font-family: <xsl:value-of select="input_font" />; color: <xsl:value-of select="input_font_color" />; font-size:<xsl:value-of select="input_font_size" />px;</xsl:attribute>
												<select>
													<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_search_case</xsl:attribute>
													<xsl:attribute name="style">font-family: <xsl:value-of select="input_font" />; color: <xsl:value-of select="input_font_color" />; font-size:<xsl:value-of select="input_font_size" />px; border-color: <xsl:value-of select="input_border_color" />; border-style: <xsl:value-of select="input_border_style" />;</xsl:attribute>
													<option value="no">
														<xsl:if test="default_case='no'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>
														<xsl:value-of select="text_case_no"/>
													</option>
													<option value="yes">
														<xsl:if test="default_case='yes'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>
														<xsl:value-of select="text_case_yes"/>
													</option>
												</select>
											</td>
										</tr>
									</xsl:if>
									<xsl:if test="display_logic_control='yes'">
										<tr>
											<td>
												<xsl:attribute name="style">text-align: right; vertical-align: top; font-family: <xsl:value-of select="input_font" />; color: <xsl:value-of select="input_font_color" />; font-size:<xsl:value-of select="input_font_size" />px;</xsl:attribute>
												<xsl:value-of select="text_logic"/>
											</td>
											<td>
												<xsl:attribute name="style">text-align: left; vertical-align: top; font-family: <xsl:value-of select="input_font" />; color: <xsl:value-of select="input_font_color" />; font-size:<xsl:value-of select="input_font_size" />px;</xsl:attribute>
												<select>
													<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_search_logic</xsl:attribute>
													<xsl:attribute name="style">font-family: <xsl:value-of select="input_font" />; color: <xsl:value-of select="input_font_color" />; font-size:<xsl:value-of select="input_font_size" />px; border-color: <xsl:value-of select="input_border_color" />; border-style: <xsl:value-of select="input_border_style" />;</xsl:attribute>
													<option value="OR">
														<xsl:if test="default_logic='OR'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>
														<xsl:value-of select="text_OR"/>
													</option>
													<option value="AND">
														<xsl:if test="default_logic='AND'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>
														<xsl:value-of select="text_AND"/>
													</option>
												</select>
											</td>
										</tr>
									</xsl:if>
								</table>
							</div>
						</td>
					</tr>
					<tr>
						<td width="100%" bgcolor="#FFFFFF" valign="top" colspan="2">
							<xsl:attribute name="style">padding-left: 10px; padding-right: 10px</xsl:attribute>
							<div>
								<xsl:attribute name="cl_id">found</xsl:attribute>
								<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_found</xsl:attribute>
								<xsl:attribute name="style">padding-bottom: 6px; text-align: center; font-family: <xsl:value-of select="input_font" />; color: <xsl:value-of select="input_font_color" />; font-size:<xsl:value-of select="input_font_size" />px;</xsl:attribute>
								...
							</div>
							<div>
								<xsl:attribute name="cl_id">results</xsl:attribute>
								<xsl:attribute name="id"><xsl:value-of select="$objectID"/>_results</xsl:attribute>
								<xsl:attribute name="style">
									overflow: auto;
									overflow-y: auto;
									overflow-x: hidden;
									width: 100%;
									background-color:#FFFFFF;
									height: 1px;
								</xsl:attribute>
								...
							</div>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</div>
</xsl:template>
</xsl:stylesheet>
